@echo off

set EXE=..\software\logitech-options-setup.exe
set STARTMENU="%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs"

if NOT EXIST %EXE% (
  echo ERROR: %EXE% not found!
  exit /b
)

echo ####### %0 #######

echo installing logitech options ...
start /wait %EXE% /quiet /analytics:0 /flow:0 /sso:0 /updates:0

echo moving logibolt startmenu entry to logitech folder ...
move /Y %STARTMENU%\"Logi\Logi Bolt.lnk" %STARTMENU%\"Logitech"

echo removing logibolt startmenu folder ...
rd /S /Q %STARTMENU%\"Logi" 2>nul

echo ####### %0 #######
pause

